Coin: SoMotion3Event Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | Static Public Member Functions | List of all members
SoMotion3Event Class Reference
Event Classes

The SoMotion3Event class contains information about 3D movement events. More...

`#include <Inventor/events/SoMotion3Event.h>`

Inheritance diagram for SoMotion3Event:

## Public Member Functions
virtual SoType | getTypeId (void) const
| SoMotion3Event (void)
virtual | ~SoMotion3Event ()
void | setTranslation (const SbVec3f &t)
const SbVec3f & | getTranslation (void) const
void | setRotation (const SbRotation &r)
const SbRotation & | getRotation (void) const
Public Member Functions inherited from SoEvent
| SoEvent (void)
virtual | ~SoEvent ()
SbBool | isOfType (SoType type) const
void | setTime (const SbTime t)
SbTime | getTime (void) const
void | setPosition (const SbVec2s &p)
const SbVec2s & | getPosition (void) const
const SbVec2s & | getPosition (const SbViewportRegion &vpRgn) const
const SbVec2f & | getNormalizedPosition (const SbViewportRegion &vpRgn) const
void | setShiftDown (SbBool isDown)
SbBool | wasShiftDown (void) const
void | setCtrlDown (SbBool isDown)
SbBool | wasCtrlDown (void) const
void | setAltDown (SbBool isDown)
SbBool | wasAltDown (void) const

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoEvent
static SoType | getClassTypeId (void)
static void | initClass (void)

## Detailed Description

The SoMotion3Event class contains information about 3D movement events.

Motion3 events are generated by devices capable of "3D motion", for instance a spaceball device. Instances of this class contain information about these devices' translations and rotations in all 3 dimensions.

See also
  SoEvent, SoLocation2Event
  SoEventCallback, SoHandleEventAction

## Constructor & Destructor Documentation

## ◆ SoMotion3Event()

SoMotion3Event::SoMotion3Event | ( | void |  | ) |

Constructor. Resets values for translation and rotation information.

## ◆ ~SoMotion3Event()

SoMotion3Event::~SoMotion3Event | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoMotion3Event::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getTypeId()

SoType SoMotion3Event::getTypeId | ( | void |  | ) | const
| virtual

Returns the type identification of an object derived from a class inheriting SoEvent. This is used for runtime type checking and "downward" casting.

Reimplemented from SoEvent.

## ◆ initClass()

void SoMotion3Event::initClass | ( | void |  | ) |
| static

Initialize the type information data.

## ◆ setTranslation()

void SoMotion3Event::setTranslation | ( | const SbVec3f & | t | ) |

Sets the translation value of this event. Method is used by the window specific device class(es) generating the event.

See also
  getTranslation()

## ◆ getTranslation()

const SbVec3f & SoMotion3Event::getTranslation | ( | void |  | ) | const

Returns translation value. Note that translation are specified relative to former events, i.e. the values given here are not accumulated global coordinates.

See also
  getTime()

## ◆ setRotation()

void SoMotion3Event::setRotation | ( | const SbRotation & | r | ) |

Sets the rotation value of this event. Method is used by the window specific device class(es) generating the event.

## ◆ getRotation()

const SbRotation & SoMotion3Event::getRotation | ( | void |  | ) | const

Returns rotational value. Note that rotations are specified relative to former events, i.e. the values given here are not accumulated rotations.

See also
  getTime()

The documentation for this class was generated from the following files:

- SoMotion3Event.h
- SoMotion3Event.cpp